import router from './router'
import { useStore } from 'vuex';
/* import NProgress from 'nprogress' // Progress 进度条
import 'nprogress/nprogress.css' // Progress 进度条样式 */
import { ElMessage } from 'element-plus'
import Storage from '@/utils/storage'
//import  {Foundation}  from './ui-utils/index'

const whiteList = ['/login', '/franchise/login', '/payType']

let toFirstRoute = function getTopRoutePath(router, next) {
  const excludes = [
    "",
    "*",
    '/404',
    '/401',
    '/500',
    '/login',
    '/cashier/login',
    '/franchise/login',
    '/payType'
  ]
  const paths = router.getRoutes().map(item => item.path)
  const path = paths.filter(item => !excludes.includes(item) && item.indexOf('/:') === -1)[0]
  if (typeof next === 'function') {
    next(path)
  } else {
    router.replace(path)
  }
}
console.log(router);
router.beforeEach(async (to, from, next) => {
/*   NProgress.start() */
  const store = useStore()
  console.log(store);
  const refreshToken = Storage.getItem('admin_refresh_token')
  if (refreshToken) {
    if ((to.path === '/login' || to.path === '/franchise/login' || to.path === '/payType') && store.getters.addRouters.length) {
      toFirstRoute(router, next)
     /*  NProgress.done() */
    } else {
      if (store.getters.addRouters.length === 0) {
        try {
          await store.dispatch('GenerateRoutes')
          const routers = store.getters.addRouters
          router.addRoute(routers)
          if (routers.length) {
            const paths = router.getRoutes().map(item => item.path)
            if (paths.includes(to.path)) {
              next({ ...to, replace: true })
            } else {
              toFirstRoute(router, next)
            }
          } else {
            next('/404')
          }
        } catch {
          await store.dispatch('fedLogoutAction')
          ElMessage.error('验证失败,请重新登录')
          const toPath = Storage.getItem('admin_franchise') ? '/franchise/login' : '/login'
          window.location.replace(router.resolve(toPath).href)
        }
      } else {
        next()
      }
    }
  } else {
    if (whiteList.includes(to.path)) {
      next()
    } else {
      const toPath = Storage.getItem('admin_franchise') ? '/franchise/login' : '/login'
      next(toPath)
    /*   NProgress.done() */
    }
  }
})

router.afterEach(() => {
/*   NProgress.done() */
})
